Subject: Re: [PATCH net-next] net: phy: micrel: Add support for non PTP SKUs for lan8814

From: Jakub Kicinski <[email-masked]>
Date: Tue, 21 Oct 2025 16:14:47 -0700

On Mon, 20 Oct 2025 20:11:13 +0200 Gerhard Engleder wrote:
> >> Hasn't net also switched to the common kernel multiline comment style
> >> starting with an empty line?  
> > 
> > I am not sure because I can see some previous commits where people used
> > the same comment style:
> > e82c64be9b45 ("net: stmmac: avoid PHY speed change when configuring MTU")
> > 100dfa74cad9 ("net: dev_queue_xmit() llist adoption")  
> 
> The special coding style for multi line comments for net and drivers/net 
> has been removed with
> 82b8000c28 ("net: drop special comment style")
> 
> But I checked a few mails on the list and also found the old style in
> new patches.

We removed the check that _suggests_ the use of the superior style.
Aesthetic taste is not evenly distributed within the population.
But we still prefer the old style in netdev.

That said I don't think nit picking on comment style is productive,
in either direction.